from parallels.core.utils.entity import Entity


class MailResponder(Entity):
    def __init__(
        self, mail_responder_id, mail_name_id, subject, text, ans_freq, end_date, content_type
    ):
        self._mail_responder_id = mail_responder_id
        self._mail_name_id = mail_name_id
        self._subject = subject
        self._text = text
        self._ans_freq = ans_freq
        self._end_date = end_date
        self._content_type = content_type

    @property
    def mail_responder_id(self):
        """
        :rtype: str | unicode
        """
        return self._mail_responder_id

    @property
    def mail_name_id(self):
        """
        :rtype: str | unicode
        """
        return self._mail_name_id

    @property
    def subject(self):
        """
        :rtype: str | unicode
        """
        return self._subject

    @property
    def text(self):
        """
        :rtype: str | unicode
        """
        return self._text

    @property
    def ans_freq(self):
        """
        :rtype: str | unicode
        """
        return self._ans_freq

    @property
    def end_date(self):
        """
        :rtype: str | unicode | None
        """
        return self._end_date

    @property
    def content_type(self):
        """
        :rtype: str | unicode
        """
        return self._content_type
